# Properties for distributed-Java lab#3 (dispatch messages to taxicabs)
#  by Robert Elton Maas, started 2005.May.02
# This is the only file because no locales except USA/English are supported.
# However more than one jdbc environment is supported, parameterized here.
### Bug in java, or gross mistake in Wigglesworth book: Comments on same
###  line after a key=value pair are *not* discarded, but are actually
###  treated as if they were part of the value itself. So I had to move
###  all such comments to new lines after the key=value pair below.

env=linux
  # Choose among linux/windows, only linux implemented so-far.
  # linux refers to Robert's laptop where Cloudscape is the rdbs program
  # windows refers to the De Anza campus lab's system using MicroSoft ACCESS

linux.os.name=Linux
linux.java.io.tmpdir=/tmp
linux.java.version=1.3.1

windows.os.name=Windows 2000
windows.java.io.tmpdir=C:\\DOCUME~1\\RMaas\\LOCALS~1\\Temp\\
windows.java.version=1.4.1

linux.mainurl=http://localhost:8000/date/jump2.jsp
windows.mainurl=http://localhost:8080/examples/servlet/DispatcherServlet

linux.driver=COM.cloudscape.core.RmiJdbcDriver
  # Driver is located in a JAR,
  # which must be supplied in -classpath argument when running program manually
windows.driver=sun.jdbc.odbc.JdbcOdbcDriver
  # Driver is always available

linux.url=jdbc:rmi:jdbc:cloudscape:CloudscapeDB
  # Using default Cloudscape DB,
  # need to say 'cloudscape -start' from super-user mode before using db,
  # then say 'cloudscape -stop' when done before logging out.
windows.url=jdbc:odbc:DJL3
  # Need to use control panel to re-establish
  # this data source 'DJL3' after each login before using.
## Note: Need to run initialization program before first use, ...

usersdelims=/!
users=Mabel!strict/Art!visual/Ed!hello/Delia!structured/Cynthia!chair/Victor!nervous/Gary!laptop/Sukhjit!business

cabsdelims=/
cabs=Johnny/Mikey/Janice/Monica/Judy/Murphy

lastnmsgs=5

##Below are just for testing the software:
test1=defval1
linux.test1=specval1
test2=defval2
